import { db, Branch } from '../models';
import { logToDiscord } from '../core/utils';

export default async function run(): Promise<void> {
  logToDiscord('Performing full import');
  const branches = await Branch.query(db.replica);
  await Promise.all(branches.map((branch: Branch) => branch.importPages()));
}
